std::make_obj_using_allocator(3)

NAME
std::make_obj_using_allocator - std::make_obj_using_allocator

Synopsis
   Defined in header <memory>
   template< class T, class Alloc, class... Args >
   constexpr T make_obj_using_allocator( const Alloc& alloc, Args&&... (since C++20)
   args );
   Creates an object of the given type T by means of uses-allocator construction
   Equivalent to
 return std::make_from_tuple<T>(
     std::uses_allocator_construction_args<T>(alloc, std::forward<Args>(args)...)
 );

Parameters
   alloc - the allocator to use.
   args - the arguments to pass to T's constructor

Return value
   The newly-created object of type T

Exceptions
   May throw any exception thrown by the constructor of T, typically including
   std::bad_alloc

Example
    This section is incomplete
    Reason: no example

See also
                        prepares the argument list matching the
   uses_allocator_construction_args flavor of uses-allocator construction
   (C++20) required by the given type
                        (function template)
                        creates an object of the given type at
   uninitialized_construct_using_allocator specified memory location by means of
   (C++20) uses-allocator construction
                        (function template)